- Main Page
- Modules
- Files
- Related Pages
- Examples

# init/exit functions

## Detailed Description

## Functions
int | tiger_init (void)
int | tiger_exit (void)

## Function Documentation

int tiger_exit | ( | void |  | ) |

Deinitializes the Tiger library. Every other Tiger function should be called within a tiger_init and tiger_exit pair. See tiger_init for more information.

Returns:
  0 success

  TIGER_E_* error

int tiger_init | ( | void |  | ) |

Initializes the Tiger library. Every other Tiger function should be called within a tiger_init and tiger_exit pair. These functions may be nested, and are thread safe, provided thread safety was not explicitely overridden at configuration time.

Returns:
  0 success

  TIGER_E_* error